Subject: Re: [Hipsec] Protocol Action: 'Host Identity Protocol Version 2 (HIPv2)' to Proposed Standard (draft-ietf-hip-rfc5201-bis-19.txt)

From: Andrei Gurtov <[email-masked]>
Date: Thu, 16 Oct 2014 18:03:00 +0100

Hello,

Congratulations, that's a nice achievement! Are there HIP
implementations already that support those latest specs?

Btw, some recent HIP-related papers e.g. on SDN can be found here
http://www.cs.helsinki.fi/u/gurtov/papers/

br
Andrei

On 24/09/2014 21:29, The IESG wrote:
> The IESG has approved the following document: - 'Host Identity
> Protocol Version 2 (HIPv2)' (draft-ietf-hip-rfc5201-bis-19.txt) as
> Proposed Standard
> 
> This document is the product of the Host Identity Protocol Working
> Group.
> 
> The IESG contact persons are Ted Lemon and Brian Haberman.
> 
> A URL of this Internet Draft is: 
> http://datatracker.ietf.org/doc/draft-ietf-hip-rfc5201-bis/
> 
> 
> 
> 
> Technical Summary:
> 
> This document specifies the details of the Host Identity Protocol 
> (HIP).  HIP allows consenting hosts to securely establish and 
> maintain shared IP-layer state, allowing separation of the 
> identifier and locator roles of IP addresses, thereby enabling 
> continuity of communications across IP address changes.  HIP is 
> based on a SIGMA- compliant Diffie-Hellman key exchange, using 
> public key identifiers from a new Host Identity namespace for 
> mutual peer authentication.  The protocol is designed to be 
> resistant to denial-of-service (DoS) and man-in-the-middle (MitM) 
> attacks.  When used together with another suitable security 
> protocol, such as the Encapsulated Security Payload (ESP), it 
> provides integrity protection and optional encryption for 
> upper-layer protocols, such as TCP and UDP.
> 
> This document obsoletes RFC 5201 and addresses the concerns raised 
> by the IESG, particularly that of crypto agility.  It also 
> incorporates lessons learned from the implementations of RFC 5201.
> 
> 
> Working Group Summary:
> 
> There is full consensus behind this document.
> 
> Document Quality:
> 
> As discussed in RFC 6538, there are several implementations of the 
> Experimental HIP specs. At least HIP for Linux and OpenHIP will be 
> updated to comply with the standards-track specs.
> 
> Personnel:
> 
> Gonzalo Camarillo is the document shepherd. Ted Lemon is the
> responsible AD.
> 
> _______________________________________________ Hipsec mailing
> list [email-masked] https://www.ietf.org/mailman/listinfo/hipsec
>